List active upload reservations with safe source and recovery diagnostics.
GET
/api/workspace/files/uploads/administration/active
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/files/uploads/administration/active?limit=100"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/files/uploads/administration/active?limit=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/files/uploads/administration/active?limit=100'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Array<object>
Safe administrator diagnostics for one active upload reservation.
object
UploadSessionId
string
CreatedByUserId
string
SourceOperation
string
SourceFunctionRunId
string
SourceJobId
string
SourceRunStatus
string
SourceJobStatus
string
Status
integer format: int32
ReservedBytes
integer format: int64
CreatedAtUtc
string format: date-time
LastActivityAtUtc
string format: date-time
ExpiresAtUtc
string format: date-time
IsExpired
boolean
IsOrphaned
boolean
RecoveryReasonCode
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": [ { "Status": 0 } ], "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}